PHP Manual
Prev |  | Next

# ZEND_STRL

ZEND_STRL -- Pass string pointer and length in one operation

## Description

#include <zend.h>

void ZEND_STRL ( char * str )

This is a convenience macro that can be used when passing a static string to a function that requires a string length argument together with a string. This saves duplicating the static string in the sourcecode or adding an extra variable for it.

Example 46-1. ZEND_STRL() example
    write(0, ZEND_STRL("Hello World!"));
    /* same as
    char str[] = "Hello World!";
    write(0, str, sizeof(str)-1);
    */

## Parameters

str

  Pointer to a zero terminated string.

Prev | Home | Next
ZEND_SET_SYMBOL | Up | ZEND_STRS